<div ng-controller="MaklumatPenggunaCtrl as $ctrl">
<form name="pengguna">

    Nama : <input class="form-control" type="text" name="nama" ng-model="$ctrl.pengguna.nama" placeholder="Nama" required>
    <span ng-show="pengguna.nama.$invalid && pengguna.nama.$dirty">required</span>
    <br/> 
    Emel : <input class="form-control" type="email" name="emel" ng-model="$ctrl.pengguna.emel" placeholder="Emel" ng-required="$ctrl.pengguna.nama=='azizul'">
    <br/> 
    Skim : <select class="form-control" name="skim" ng-model="$ctrl.pengguna.skim" 
            ng-options="option.perihal for option in $ctrl.senaraiSkim track by option.kod"
            ng-change="$ctrl.bindGred();">
            <option value="">--Sila Pilih--</option>
            </select>

    <br/> 
    Gred : <select class="form-control" name="gred" ng-model="$ctrl.pengguna.gred" 
            ng-options="option.gred_perihal for option in $ctrl.senaraiGred track by option.gred_kod"
            ng-disabled="$ctrl.senaraiGred.length===0">
            <option value="">--Sila Pilih--</option>
            </select>
    <br/>
    <button class="btn" ng-click="$ctrl.addPengguna();" ng-disabled="pengguna.$invalid">Hantar</button>

</form>

    <br/><br/> {{$ctrl.pengguna | json}}

<hr/>
<button class="btn btn-danger" ng-click="$ctrl.open();">modal box</button>
    data modal box : {{$ctrl.selected}}<hr/>
    <table border="1">
        <tr>
            <th>Bil</th>
            <th>Nama</th>
            <th>Emel</th>
        </tr>

        <tr ng-repeat="pengguna in $ctrl.senaraiPengguna track by $index">
            <td>{{$index+1}}</td>
            <td>{{pengguna.nama}}</td>
            <td>{{pengguna.emel}}</td>
        </tr>
    </table>



<script type="text/ng-template" id="myModalContent.html">
   <div class="modal-header">
       <h3 class="modal-title" id="modal-title">I'm a modal!</h3>
   </div>
   <div class="modal-body" id="modal-body">
       <ul>
           <li ng-repeat="item in $ctrl.items">
               <a href="#" ng-click="$event.preventDefault(); $ctrl.selected.item = item">{{ item }}</a>
           </li>
       </ul>
       Selected: <b>{{ $ctrl.selected.item }}</b>
   </div>
   <div class="modal-footer">
       <button class="btn btn-primary" type="button" ng-click="$ctrl.ok()">OK</button>
       <button class="btn btn-warning" type="button" ng-click="$ctrl.cancel()">Cancel</button>
   </div>
</script>

</div>